2018-11-21 07:54 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002117FSSCPdockingpublic2012-07-01 21:10
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version 
Summary0002117: Better error handling of docking name miscompare needed
DescriptionWas getting an int3() for no apparent reason while working on dock points. Tried just about everything to narrow it down. Docked 2 objects to each other instead of the other ship which worked. Started docking one object at at time which was working until I had a few docked. Went to docking 2 at a time which also worked. Got to the 3rd and 4th from the end of the list and it crashed. No apparent reason. Ended up it was a space at the end of the 2nd to last in the list which I didn't even have anything docked to.
Additional Information3.6.11 r5895. While not an actual bug it would be nice if it either told you where it was crashing or even better caught it on parse. Actual crash occurs at missionparse.cpp line 1604.
TagsNo tags attached.
Attached Files
  • rar file icon 2117.rar (76,739 bytes) 2010-06-17 02:26

-Relationships
+Relationships

-Notes

~0011667

Zacam (administrator)

This sounds suspiciously like it might be related to 0001658

~0011671

FUBAR-BDHR (developer)

Doubt it since 0001658 doesn't involve .pof data. This one is a case of the name not having trailing spaces removed in one place (the .pof) and having them removed in the other (FS2).

~0011682

Zacam (administrator)

Ahh. Thanks for the clarification.

~0011973

Goober5000 (administrator)

Can you attach a mission, or describe the steps, which reproduces the problem?

~0011979

FUBAR-BDHR (developer)

Space at the end of dock name in PCS2 was the cause I believe. I don't have the problem pof anymore.

~0012037

Goober5000 (administrator)

Bah. I'd like to fix this for 3.6.12, but I would need to wait a few days to reproduce the bug and find out where exactly the space isn't getting truncated.

If someone could attach a POF with a trailing space after a dock name, and/or a fs2_open.log, it would greatly speed up the process.

~0012087

FUBAR-BDHR (developer)

Attached modified Faustus. Simply added a space to the end of port docking in PCS2. Just fire up FRED and dock a ship there and save. Instant crash.

~0013604

Goober5000 (administrator)

Fix committed to trunk@8813.

~0013763

Zacam (administrator)

Fix committed to fs2_open_3_6_14@8945.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2010-02-10 03:24 FUBAR-BDHR New Issue
2010-02-10 03:24 FUBAR-BDHR Status new => assigned
2010-02-10 03:24 FUBAR-BDHR Assigned To => Goober5000
2010-02-14 06:20 Zacam Note Added: 0011667
2010-02-14 14:43 FUBAR-BDHR Note Added: 0011671
2010-02-15 15:15 Zacam Note Added: 0011682
2010-05-19 00:51 Goober5000 Note Added: 0011973
2010-05-19 01:19 FUBAR-BDHR Note Added: 0011979
2010-06-04 01:38 Goober5000 Note Added: 0012037
2010-06-17 02:26 FUBAR-BDHR File Added: 2117.rar
2010-06-17 02:28 FUBAR-BDHR Note Added: 0012087
2012-05-22 04:37 Goober5000 Changeset attached => fs2open trunk r8813
2012-05-22 04:37 Goober5000 Note Added: 0013604
2012-05-22 04:37 Goober5000 Status assigned => resolved
2012-05-22 04:37 Goober5000 Resolution open => fixed
2012-07-01 21:10 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8945
2012-07-01 21:10 Zacam Note Added: 0013763
+Issue History